import csv, sqlite3
conn = sqlite3.connect('ObamaGifts.sqlite')
cur = conn.cursor()
cur.executescript('''
DROP TABLE IF EXISTS Gifts;
DROP TABLE IF EXISTS Countries;

CREATE TABLE Gifts (
    ID  INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT UNIQUE,
    item    TEXT,
    donor	TEXT,
	value   INTEGER,
    country_ID   INTEGER);
CREATE TABLE Countries (
    ID  INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT UNIQUE,
    name    TEXT,
    regime  TEXT);
    ''')    
    
with open('full_list.csv', 'r') as csvfile:
    giftreader = csv.reader(csvfile, dialect='excel')
    next(giftreader) 
    for row in giftreader:
       item = row[3]
       donor = row[2]
       value = row[4]
       country = row[5]
       regime = row[6]
       cur.execute('''INSERT OR IGNORE INTO Countries (name, regime) 
       VALUES ( ?, ?)''', (country, regime) )
       cur.execute('SELECT ID FROM Countries WHERE name = ? ', (country, ))
       country_ID = cur.fetchone()[0]
       cur.execute('''INSERT OR IGNORE INTO Gifts (item, donor, value, country_ID) 
       VALUES ( ?, ?, ?, ?)''', ( item, donor, value, country_ID) )
    conn.commit()